<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>QQ爱挂Q网V1.6-安装向导</title>
<link rel="stylesheet" href="images/style.css" type="text/css" media="all" />

<meta content="Comsenz Inc." name="Copyright" />
</head>
<div class="container">
	<div class="header">
		<h1>QQ爱挂Q网V1.6-安装向导</h1>
		<span>QQ爱挂Q网V1.6 简体中文版 2014.07.6</span></div>
<div class="main" style="margin-top:-123px;">
	<div class="licenseblock">
<?php
header('Content-Type: text/html; charset=utf-8');
function do_sql(){
global $sqlhost,$sqluser,$sqlpass,$sqldata;
$linksql=mysql_connect($sqlhost,$sqluser,$sqlpass);
if (!$linksql)
  {
  die("无法连接数据库");
  }
$sqlbiao=mysql_select_db($sqldata,$linksql);
if (!$sqlbiao)
  {
  die("无法连接数据库");
  }
$sql_txt=file_get_contents("./install.sql");
$explode = explode(";",$sql_txt);
$num = count($explode);
for ($i=0 ;$i<$num ;$i++){
$sql = $explode[$i];
$result = mysql_query($sql);
}
$i=$num-1;
echo "数据库安装成功，共安装".$i."数据表<br>";
echo '<a href="./index.php?do=3">下一步</>';
}
if($_SERVER['HTTP_APPVERSION']){
echo "当前是SAE环境，请把install.sql导入数据库直接使用,不可安装！";
exit;
}elseif(file_exists("./install.lock")){
echo "如果你是网站管理员，请手动删除install文件夹下的install.lock文件。如果你不是网站管理员，请自觉离开！";
exit;
}

if (!isset($_GET['do'])){
?>
<h2>欢迎安装QQ爱挂QV1.6程序</h2>
1.不得随意修改版权。至少给我网站留个地址吧</br>
2.本程序为免费开源，未在官方允许需下，任何人不得将本程序置于商业活动中。<br />
3.程序代码，可供学习，但如果要引用其中的代码，必须保留代码顶端的版权。<br /> 
4.本程序采用傻妞挂Q网为内核编写而成！<br />
5.凡安装QQ爱挂Q程序，默认同意本协议！<br />
<a href='./index.php?do=1'>我同意本协议<br />
<?php
}elseif($_GET['do']=="1"){
?>
<form name="form" method="post" action="./index.php?do=2">
数据库地址:<input name="sqlhost" type="text" value="localhost" /><br />
数据库端口:<input name="sqldk" type="text" value="3306" /><br />
数据库用户:<input name="sqluser" type="text"/><br />
数据库密码:<input name="sqlpass" type="password"/><br />
数据库名字:<input name="sqldata" type="text"/><br />
<input type="submit" name="button" value="下一步" />
</form>
<?php
}elseif($_GET['do']=="2"){
$sqlhosta = $_POST['sqlhost'].":".$_POST['sqldk'];
$localhost=mysql_connect($sqlhosta,$_POST['sqluser'],$_POST['sqlpass']);
if (!$localhost){
  die('数据库连接错误: ' . mysql_error());
}
$txt="<?php
//本文件可以通过安装的时候生成！
\$sqlhost=\"$sqlhosta\"; //数据库地址
\$sqluser=\"$_POST[sqluser]\"; //数据库用户
\$sqlpass=\"$_POST[sqlpass]\"; //数据库密码
\$sqldata=\"$_POST[sqldata]\"; //数据库名字
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
\$sitename=\"QQ爱科技\";//网站名称
\$enname=\"QQ love hanging Q network\";//网站英文名称
\$sitekouhao=\"QQ爱科技\";//网站副标题
\$guanjianci=\"QQ爱科技\";//SEO关键词
\$miaoshu=\"QQ爱科技\";//SEO描述
\$wangzhi=\"qq2.asia\";//网址
\$gonggao=\"QQ爱挂Q网处于起步阶段,许多功能并不完善,希望大家提意见!\";//网站公告
\$mail=\"200596674@qq.com\";//邮箱。
\$qq=\"200596674\";//QQ号码。
\$bbs=\"http://qq2.asia\";//论坛网址
\$weibo=\"http://t.qq.com/q200596674\";//微博网址
\$banquan=\"© 2014 QQ爱挂Q网 All Rights Reserved.\";//网站首页地下版权
\$appid=\"838\";//在open.pctowap.com的应用ID
\$chushi=\"10\";//新用户开始时的QQ配额
?>";
$fp=fopen("../siteinfo.php","w");
flock($fp,LOCK_EX);
$write=fputs($fp,$txt);
flock($fp,LOCK_UN);
fclose($fp);
if($write){
include "../siteinfo.php";
do_sql();
}else{
echo "保存配置失败！请开启目录0777权限。无法进一步安装<br />";
}
}elseif($_GET['do']=="3"){
?>
网站安装成功啦~。<br />
如果需要进入首页请点击下面的"进入首页"<br />
如果需要马上注册请点击下面的"马上注册"
<?php
$fp2=fopen("../install/install.lock","w");
flock($fp2,LOCK_EX);
$write2=fputs($fp2,"安装成功！");
flock($fp2,LOCK_UN);
fclose($fp2);
}
?>
</div>
	<div class="btnbox marginbot">
		<a href="../index.php"><input type="button" value="进入首页"></input></a>&nbsp;
		<a href="../reg.php"><input type="button" value="马上注册"></input></a>
		</form>
	</div>		<div class="footer">&copy;2014 <a href="http://www.qq2.asia">QQ爱挂Q网</a> Inc.</div>
	</div>
</div>
</body>
</html>